org.apache.cassandra.db

## Class ClockAndCount

- java.lang.Object
- - org.apache.cassandra.db.ClockAndCount

All Implemented Interfaces:
  IMeasurableMemory

    public class ClockAndCount
    extends java.lang.Object
    implements IMeasurableMemory

### Field Summary

Fields
`static ClockAndCount` `BLANK`
`long` `clock`
`long` `count`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ClockAndCount` `create(long clock, long count)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BLANK

    public static ClockAndCount BLANK

#### clock

    public final long clock

#### count

    public final long count

### Method Detail

#### create

    public static ClockAndCount create(long clock,
                                       long count)

#### unsharedHeapSize

    public long unsharedHeapSize()

Specified by:
  `unsharedHeapSize` in interface `IMeasurableMemory`
Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`